unit ajColorPickerDemo;

{                            -=< TajColorPicker Demonstration >=-
{
{ Copyright SoftSpot Software 2000 - All Rights Reserved
{
{ Author        : Andrew J Jameson
{
{ Web site      : www.softspotsoftware.com
{ e-mail        : contact@softspotsoftware.com
{
{ Creation Date : 16 November 2000
{
{ Version       : 1.00                                                                             }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ajColorPicker;

type
  TForm1 = class(TForm)
    ajColorPicker : TajColorPicker;
    chbEdit       : TCheckBox;
    chbHex        : TCheckBox;
    pnlSample     : TPanel;
    procedure FormCreate              (Sender : TObject);
    procedure ajColorPickerColorChange(Sender : TObject; Color : TColor);
    procedure chbEditClick            (Sender : TObject);
    procedure chbHexClick             (Sender : TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1 : TForm1;

implementation

{$R *.DFM}

{--------------------------------------------------------------------------------------------------}

procedure TForm1.FormCreate(Sender : TObject);
begin
  pnlSample.Color := GetNearestColor(Canvas.Handle, ajColorPicker.PickColor);
end; {FormCreate}

{--------------------------------------------------------------------------------------------------}

procedure TForm1.ajColorPickerColorChange(Sender : TObject; Color : TColor);
begin
  pnlSample.Color := GetNearestColor(Canvas.Handle, ajColorPicker.PickColor);
end; {ajColorPickerColorChange}

{--------------------------------------------------------------------------------------------------}

procedure TForm1.chbEditClick(Sender : TObject);
begin
  ajColorPicker.EditVisible := chbEdit.Checked;
  chbHex.Enabled            := chbEdit.Checked;
  ClientHeight              := ajColorPicker.Height;
end; {chbEditClick}

{--------------------------------------------------------------------------------------------------}

procedure TForm1.chbHexClick(Sender : TObject);
begin
  ajColorPicker.HexEdit := chbHex.Checked;
end; {chbHexClick}

{--------------------------------------------------------------------------------------------------}
{ajColorPickerDemo}
end.
